#!/bin/sh
cd /usr/local/AppCentral/vpn-server/etc/openvpn/key
mkdir demoCA
cd demoCA
mkdir newcerts
touch index.txt
echo '01' > serial
cd ..
mv ca.crt     ca.crt.old
mv server.key server.key.old
mv server.crt server.crt.old
openssl req -x509 -nodes -keyout server.key -out ca.crt -subj /C=TW/ST=Taiwan/L=Taipei/O=Asustor/OU=ASUSTOR/CN=ASUSTOR/name=ASUSTOR/emailAddress=support@asustor.com
openssl req -new -key server.key -out server.csr -subj /C=TW/ST=Taiwan/L=Taipei/O=Asustor/OU=ASUSTOR/CN=ASUSTOR/name=ASUSTOR/emailAddress=support@asustor.com
openssl ca -in server.csr -out server.crt -cert ca.crt -keyfile server.key -days 3650 -batch -config /usr/local/AppCentral/vpn-server/etc/openvpn/openssl.cnf 
rm -rf demoCA
rm server.csr
